package alena.checkers;

import org.eclipse.cdt.codan.ui.AbstractCodanProblemDetailsProvider;

public class GetsHelp extends AbstractCodanProblemDetailsProvider {

	public GetsHelp() {

	}

	@Override
	public String getStyledProblemDescription() {
		try {
			String arg = getProblemArgument(1);
			if (arg != null) {
				String url = "http://cwe.mitre.org/data/definitions/" + arg
						+ ".html";
				return "See " + "<a href=\"" + url + "\">CWE-" + arg + "</a>";
			}
		} catch (ArrayIndexOutOfBoundsException e) {
			// ignore - not such asrgument
		}
		return super.getStyledProblemDescription();
	}

	@Override
	public boolean isApplicable(String id) {
		return GetsChecker.ID.equals(id);
	}

}
